/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { Pagination } from './pagination';
// May contain unused imports in some cases
// @ts-ignore
import type { RoleDto } from './role-dto';

/**
 * 
 * @export
 * @interface RoleDtoPagedResponse
 */
export interface RoleDtoPagedResponse {
    /**
     * 
     * @type {Array<RoleDto>}
     * @memberof RoleDtoPagedResponse
     */
    'data'?: Array<RoleDto> | null;
    /**
     * 
     * @type {boolean}
     * @memberof RoleDtoPagedResponse
     */
    'isSuccess'?: boolean;
    /**
     * 
     * @type {number}
     * @memberof RoleDtoPagedResponse
     */
    'statusCode'?: number | null;
    /**
     * 
     * @type {string}
     * @memberof RoleDtoPagedResponse
     */
    'traceId'?: string | null;
    /**
     * 
     * @type {Pagination}
     * @memberof RoleDtoPagedResponse
     */
    'pagination'?: Pagination;
}

